﻿html {
    overflow: hidden;
    height: 100%;
    box-sizing: border-box;
    font-family: Georgia;
}

input, select {
    font-family: Georgia;
}

body {
    height: 100%;
    width: 100%;
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    box-sizing: border-box;
    margin: 0;
    padding: 1vh;
    padding-top: 0;
    background-color: rgb(234, 242, 248);
}

#AppMainContainer {
    height: 98%;
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
}

.RoundedContainer {
    position: relative;
    box-sizing: border-box;
    display: inline-flex;
    flex-direction: column;
    border-radius: 1vh;
    box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.75);
    padding: 2vh;
    color: black;
    border-top-color: lightgray;
    border-top-width: 1px;
    border-top-style: solid;
    border-left-color: lightgray;
    border-left-width: 1px;
    border-left-style: solid;
    background-image: linear-gradient(whitesmoke,white);
}

#LoaderGif {
    height: 90%;
    visibility: hidden;
}

#InfoBox {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    height: 33vh;
    width: 33vw;
    background-color: #000033;
    border-width: 1px;
    border-color: grey;
    border-style: solid;
    z-index: 2000;
    cursor: default;
}

#InfoBoxTitle {
    width: 100%;
    height: 3vh;
    flex-shrink: 0;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    color: black;
    background-color: white;
    padding-left: 0.4vw;
    padding-bottom: 0.1vh;
    font-size: 1.5vh;
    box-sizing: border-box;
    font-family: 'Times New Roman';
}

#InfoBoxCloseIcon {
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    box-sizing: border-box;
    width: 3.5vh;
    font-family: 'Lucida Console';
    font-size: 1.8vh;
}

    #InfoBoxCloseIcon:hover {
        background-color: red;
        color: white;
    }

#InfoBoxContent {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    box-sizing: border-box;
    height: 30vh;
    width: 100%;
}

#InfoBoxMainLogo {
    height: 20vh;
    box-sizing: border-box;
}

#InfoBoxMainText {
    color: white;
    display: inline-flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    box-sizing: border-box;
    height: 70%;
}

#InfoBoxMainTextName {
    font-size: 4vh;
    font-weight: bold;
    font-family: Arial;
}

.InfoBoxMainTextLine {
    font-size: 1.5vh;
}

    .InfoBoxMainTextLine:nth-of-type(2) {
        font-size: 2vh;
        font-weight: bold;
    }

#InfoBox a {
    color: white;
}

.DragOvered {
    border-width: 1px;
    border-style: solid;
    border-color: darkgray !important;
    opacity: 0.1;
}

.PseudoClassIsLoading {
}

.LoadingContainer {
    width: 100%;
    display: inline-block;
    text-align: center;
    margin-top: 1vh;
    margin-bottom: 1vh;
}

    .LoadingContainer img {
        height: 6vh;
    }

#BigImageScreen, #CenterFormScreen {
    display: none;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

#BigImageScreen {
    background-color: rgba(0,0,0,0.99);
}

#CenterFormScreen {
    background-color: transparent;
}

.BigImageScreenVisible, .CenterFormScreenVisible {
    display: inline-flex !important;
}

#BigImage {
    height: 75vh;
    border-style: solid;
    border-width: 0.2vh;
    border-color: white;
    padding: 1vh;
}

@media screen and (max-width:640px) {
    #InfoBox {
        width: 90vw;
    }

    #BigImage {
        height: auto;
        width: 75vw;
    }
}
